| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# SmartRef.h File Reference

`#include "GaudiKernel/SmartRefBase.h"`
`#include "GaudiKernel/ContainedObject.h"`

Include dependency graph for SmartRef.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SmartRef< TYPE >
| Kernel objects: SmartRef. More...
## Defines
#define | KERNEL_SMARTREF_H 1
## Functions
template<class TYPE>
bool | operator== (const SmartRef< TYPE > &ref, int)
| Friend helper to check for object existence (will load object).
template<class TYPE>
bool | operator== (int, const SmartRef< TYPE > &ref)
| Friend helper to check for object existence (will load object).
template<class TYPE>
bool | operator!= (const SmartRef< TYPE > &ref, int)
| Friend helper to check for object existence (will load object).
template<class TYPE>
bool | operator!= (int, const SmartRef< TYPE > &ref)
| Friend helper to check for object existence (will load object).

## Define Documentation

#define KERNEL_SMARTREF_H 1

Definition at line 11 of file SmartRef.h.

## Function Documentation

template<class TYPE>

bool operator!= | ( | int | ,
|  | const SmartRef< TYPE > & | ref |
| ) |  |  | `[inline]`

Friend helper to check for object existence (will load object).

Definition at line 328 of file SmartRef.h.

    00328                                                     {
    00329   const TYPE* obj = ref;
    00330   return obj != 0;
    00331 }

template<class TYPE>

bool operator!= | ( | const SmartRef< TYPE > & | ref,
|  | int |  |
| ) |  |  | `[inline]`

Friend helper to check for object existence (will load object).

Definition at line 321 of file SmartRef.h.

    00321                                                     {
    00322   const TYPE* obj = ref;
    00323   return obj != 0;
    00324 }

template<class TYPE>

bool operator== | ( | int | ,
|  | const SmartRef< TYPE > & | ref |
| ) |  |  | `[inline]`

Friend helper to check for object existence (will load object).

Definition at line 314 of file SmartRef.h.

    00314                                                     {
    00315   const TYPE* obj = ref;
    00316   return obj == 0;
    00317 }

template<class TYPE>

bool operator== | ( | const SmartRef< TYPE > & | ref,
|  | int |  |
| ) |  |  | `[inline]`

Friend helper to check for object existence (will load object).

Definition at line 307 of file SmartRef.h.

    00307                                                     {
    00308   const TYPE* obj = ref;
    00309   return obj == 0;
    00310 }